Bug 19513 - More changes to MarkIssueReturned.t (after bug 19487)
Summary: More changes to MarkIssueReturned.t (after bug 19487)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 19487
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-23 11:15 UTC by Marcel de Rooy
Modified: 2017-11-20 13:10 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19513: More changes to MarkIssueReturned.t (after bug 19487) (4.74 KB, patch)
2017-10-23 11:21 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19513: Re-add AnonymousPatron-related tests (3.29 KB, patch)
2017-10-24 17:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19513: Re-add AnonymousPatron-related tests (3.50 KB, patch)
2017-10-25 11:33 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2017-10-23 11:15:58 UTC
Following bug 19487. QA follow-up moved to its own report.
Comment 1 Marcel de Rooy 2017-10-23 11:21:34 UTC
Created attachment 68385 [details] [review]
Bug 19513: More changes to MarkIssueReturned.t (after bug 19487)

This patch was initially created as QA follow-up on 19487.

$dbh is not used
$categorycode is no longer used
%item_branch_infos not used
$borrowernumber is obsoleted by using $patron
No real need for $anonymous_borrowernumber (Since MarkIssueReturned returns
undef rightaway for an invalid itemnumber, the privacy stuff is irrelevant.)
No AddMember calls, removing unneeded modules

Adding a test that calls MarkIssueReturned on an item already returned.

Test plan:
[1] Run t/db_dependent/Circulation/MarkIssueReturned.t

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Jonathan Druart 2017-10-24 17:54:38 UTC
Created attachment 68490 [details] [review]
Bug 19513: Re-add AnonymousPatron-related tests

These tests are still useful
Comment 3 Marcel de Rooy 2017-10-25 11:33:50 UTC
Created attachment 68529 [details] [review]
Bug 19513: Re-add AnonymousPatron-related tests

These tests are still useful.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
The AddMember call is considerably slowing it down. A call to TestBuilder
would be an improvement for performance.
Comment 4 Marcel de Rooy 2017-10-25 12:09:19 UTC
use Koha::Checkouts ?
Comment 5 Jonathan Druart 2017-10-25 15:20:02 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 6 Fridolin SOMERS 2017-11-20 13:10:28 UTC
Enhancement not pushed to 17.05.x